/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"xl.h"

void	init_Lock(XLISP_ENV * env0);
void	init_Unlock(XLISP_ENV * eenv0);
void	init_LockInfo(XLISP_ENV * eenv0);
void	init_lock_Exit(XLISP_ENV * eenv1);

void
init_lock_function(XLISP_ENV * env0,XLISP_ENV * env1)
{
	init_Lock(env0);
	init_Unlock(env0);
	init_LockInfo(env0);
	init_lock_Exit(env1);
}
